xcb_xkb_bell(3)

NAME
xcb_xkb_bell -

SYNOPSIS
#include <xcb/xkb.h>

  Request function

xcb_void_cookie_t xcb_xkb_bell(xcb_connection_t *conn, xcb_xkb_device_spec_t deviceSpec, xcb_xkb_bell_class_spec_t bellClass, xcb_xkb_id_spec_t bellID, int8_t percent, uint8_t forceSound, uint8_t eventOnly, int16_t pitch, int16_t duration, xcb_atom_t name, xcb_window_t window);

REQUEST ARGUMENTS

conn
    The XCB connection to X11.

deviceSpec
    TODO: NOT YET DOCUMENTED.

bellClass
    TODO: NOT YET DOCUMENTED.

bellID
    TODO: NOT YET DOCUMENTED.

percent
    TODO: NOT YET DOCUMENTED.

forceSound
    TODO: NOT YET DOCUMENTED.

eventOnly
    TODO: NOT YET DOCUMENTED.

pitch
    TODO: NOT YET DOCUMENTED.

duration
    TODO: NOT YET DOCUMENTED.

name
    TODO: NOT YET DOCUMENTED.

window
    TODO: NOT YET DOCUMENTED.

DESCRIPTION

RETURN VALUE
Returns an xcb_void_cookie_t. Errors (if any) have to be handled in the event loop. If you want to handle errors directly with xcb_request_check instead, use xcb_xkb_bell_checked. See xcb-requests(3) for details.

ERRORS
This request does never generate any errors.

SEE ALSO

AUTHOR
Generated from xkb.xml. Contact xcb@lists.freedesktop.org for corrections and improvements.